# Full-Stack with Node REST API

This is a kitchen think example with the following stack:

* Vite
* [TanStack Router - File Based Routing](https://tanstack.com/router/latest/docs/framework/react/routing/file-based-routing)
* A Todos Rest API implemented with Node and [Hono](https://hono.dev/)

{% embed url="<https://youtu.be/33VijFArY9s>" %}

The app is live here:

{% embed url="<https://vite-insee-starter.demo-domain.ovh/>" %}

The frontend (Vite project):

{% embed url="<https://github.com/InseeFrLab/vite-insee-starter>" %}

The backend (Node Todos App REST API):

{% embed url="<https://github.com/InseeFrLab/todo-rest-api>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v7/setup-guides/tanstack-router-+-node-rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
